#ifndef __COM_H__
#define	__COM_H__
//*******************************************************
//
//	GPS Logger
//
//	シリアル通信関係
//
//	Compiler:	AVR-GCC		4.3.3
//				AVR-LIBC	1.6.2
//				binutils	2.18
//
//	2010.4.9	KAWAKAMI Yukio
//*******************************************************

#include	<avr/io.h>
#include	<avr/interrupt.h>
#include	<avr/pgmspace.h>

#define	RX_BUFF_SIZE	128
#define	TX_BUFF_SIZE	0

void	init_com(uint baud);
uchar	check_com(void);
uchar	read_com(void);
void	write_com(uchar data);
void	write_str(uchar *str);
void	write_str_P(PGM_P str);

#endif	// __COM_H__
